#include <stdlib.h>
#include <stdio.h>
#include <math.h>

int main()
{
    int i, N;
    int *fibonacci;

    /* N einlesen */
    printf("Bitte N eingeben: ");
    scanf("%d", &N);
    if (N<2)
	{
	printf("N muss >= 2 sein!\n");
	exit(1);
	}
    
    /* Speicher reservieren */
    fibonacci = malloc(sizeof(int)*N);
    if (fibonacci==NULL)
	{
	printf("Speicher konnte nicht alloziiert werden. Schade!\n");
	exit(1);
	}

    /* array verwenden, z.B. Fibonacci-Zahlen speichern */
    fibonacci[0] = 0;
    fibonacci[1] = 1;
    for (i=2; i<N; i++)
	fibonacci[i] = fibonacci[i-1] + fibonacci[i-2];

    /* Fibonacci-Zahlen ausgeben */
    for (i=0; i<N; i++)
	printf("%d-te Fibonaccizahl ist %d\n", i, fibonacci[i]);
    
    /* Speicher freigeben */
    free(fibonacci);

    return 0;
}
